Bug 38469 - PIVOTTABLE crash when dragging listbox button
Summary: PIVOTTABLE crash when dragging listbox button
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-19 05:26 UTC by e.gerber
Modified: 2011-07-02 01:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
simple test case (13.37 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-06-19 05:27 UTC, e.gerber
Details

Note You need to log in before you can comment on or make changes to this bug.
Description e.gerber 2011-06-19 05:26:09 UTC
Overview:
LibreOffice Calc crashes when dragging a listbox button in a pivot table (DataPilot)

Steps to Reproduce:
 1) open attached test sheet
 2) go to the "Pivot Table" sheet
 3) drag either of the "months" or "type" listboxes

Actual Results:
 LibreOffice crashes

Build Date & Platform:
 LibreOffice 3.4.0 OOO340m1 (Build:12)
 Ubuntu 11.04 64bit
 Linux kernel 2.6.39-3-generic #10-Ubuntu SMP Sat May 28 09:25:33 UTC 2011
 GNOME 2.32.1 ("Ubuntu classic")
 NVIDIA NVS 290, driver 275.09.07
Comment 1 e.gerber 2011-06-19 05:27:17 UTC
Created attachment 48159 [details]
simple test case
Comment 2 Christopher M. Penalver 2011-06-20 16:17:18 UTC
e.gerber@gmx.de, unreproducible in Ubuntu 11.04, 32-bit via the Terminal:

cd ~/Desktop && wget -c https://bugs.freedesktop.org/attachment.cgi?id=48159 -O example.ods && localc -nologo example.ods

moved both month and type, no crash.

lsb_release -rd
Description:	Ubuntu 11.04
Release:	11.04

apt-cache policy libreoffice-calc
libreoffice-calc:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages
Comment 3 Rainer Bielefeld Retired 2011-06-28 00:31:17 UTC
NOT reproducible with "LibreOffice 3.4.1RC1 - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:103)]". I moved several listboxes, for example "Type" from B3 to A2; no crash.

Linux Specific?

@e.gerber@gmx.de:
Please
never use general terms like "... drag either of ... to somewhere ...", you can be absolutely sure that I will find the one and only action what will not cause a crash ;-)
Comment 4 e.gerber 2011-07-01 14:30:31 UTC
WFM with LibreOffice 3.4.1, setting to resolved fixed
Comment 5 Rainer Bielefeld Retired 2011-07-02 01:17:49 UTC
Please use WORKSFORME if it's not known how that has been fixed!